#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "sym_table.h"

int main()
{
  // this code inserts some things into the symbol table;
  // it is not an exhaustive test, so you will certainly need to write
  // your own tests

  int v, errors;
  char buffer[1024];

  sprintf(buffer, "symbol");

  sym_table_insert(buffer, 1);
  sym_table_insert("other", 2);
  sprintf(buffer, "other");

  errors = 0;

  if ((v = sym_table_lookup("symbol")) != 1) {
    printf("ERROR: wrong lookup value; got %d but should be %d\n", v, 1);
    errors++;
  }

  if ((v = sym_table_lookup("other")) != 2) {
    printf("ERROR: wrong lookup value; got %d but should be %d\n", v, 2);
    errors++;
  }



  if (errors == 0) {
    printf("Passed all tests\n");
  } else {
    printf("Failed %d tests\n", errors);
  }

  return errors;
}
